/auth/principal
GET
/auth/principal
const url = 'https://example.com/api/v1/auth/principal';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/auth/principal \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
kind
required
string
role
required
string
label
required
string
Example
{ "kind": "user", "role": "owner"}